Github messages for voidlinux
 help / color / mirror / Atom feed
* [PR PATCH] element-desktop: update to 1.8.4.
@ 2021-09-13 16:25 teldra
  2021-09-13 16:37 ` [PR PATCH] [Updated] " teldra
                   ` (7 more replies)
  0 siblings, 8 replies; 10+ messages in thread
From: teldra @ 2021-09-13 16:25 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 819 bytes --]

There is a new pull request by teldra against master on the void-packages repository

https://github.com/teldra/void-packages update-element
https://github.com/void-linux/void-packages/pull/32951

element-desktop: update to 1.8.4.
#### Have the results of the proposed changes been tested?
- [x] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me

#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [x] I built this PR locally for my native architecture, (x68_64-glibc)

https://matrix.org/blog/2021/09/13/vulnerability-disclosure-key-sharing

Important security fix


A patch file from https://github.com/void-linux/void-packages/pull/32951.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-update-element-32951.patch --]
[-- Type: text/x-diff, Size: 1593 bytes --]

From 8636072f5ca14e9db7daffeb5be64586debab3d8 Mon Sep 17 00:00:00 2001
From: teldra <teldra@rotce.de>
Date: Mon, 13 Sep 2021 14:28:46 +0200
Subject: [PATCH] element-desktop: update to 1.8.4.

---
 srcpkgs/element-desktop/template | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/element-desktop/template b/srcpkgs/element-desktop/template
index 70841f8e2424..332a87b0fe27 100644
--- a/srcpkgs/element-desktop/template
+++ b/srcpkgs/element-desktop/template
@@ -1,6 +1,6 @@
 # Template file for 'element-desktop'
 pkgname=element-desktop
-version=1.7.30
+version=1.8.4
 revision=1
 wrksrc="element-web-${version}"
 conf_files="/etc/${pkgname}/config.json"
@@ -18,8 +18,8 @@ _ghpage="https://github.com/vector-im"
 _archive="archive/v${version}.tar.gz"
 distfiles="${_ghpage}/element-desktop/${_archive}>element-desktop.tar.gz
  ${_ghpage}/element-web/${_archive}>element-web.tar.gz"
-checksum="dfa46e98b52c20b431dc62be3c7dc3c960b1aba6d98af7e2aa0c06ce4e076c9e
- 86b07a8510cda86ce489b376b2069415579a3576100ddddd8ddcd1f2c29ac025"
+checksum="3a972531c40da5de922824667ea048f16ee407800b26327542cac1d81357b44f
+ 2752b88227c17dfcd3b207db88aba08375f9751851f2ea549115fac7a517a18a"
 
 export USE_SYSTEM_APP_BUILDER=true
 
@@ -44,7 +44,7 @@ do_build() {
 	# we need to force x86_64 arch as electron-builder does not support
 	# ppc64 and fails on arch detection; ARM is supported so just use build
 	case "$XBPS_TARGET_MACHINE" in
-		x86_64*|ppc64*) yarn run build64 ;;
+		x86_64*|ppc64*) yarn run build:64 ;;
 		i686*) yarn run build32 ;;
 		*) yarn run build ;;
 	esac

^ permalink raw reply	[flat|nested] 10+ messages in thread

* Re: [PR PATCH] [Updated] element-desktop: update to 1.8.4.
  2021-09-13 16:25 [PR PATCH] element-desktop: update to 1.8.4 teldra
@ 2021-09-13 16:37 ` teldra
  2021-09-13 17:12 ` ericonr
                   ` (6 subsequent siblings)
  7 siblings, 0 replies; 10+ messages in thread
From: teldra @ 2021-09-13 16:37 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 824 bytes --]

There is an updated pull request by teldra against master on the void-packages repository

https://github.com/teldra/void-packages update-element
https://github.com/void-linux/void-packages/pull/32951

element-desktop: update to 1.8.4.
#### Have the results of the proposed changes been tested?
- [x] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me

#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [x] I built this PR locally for my native architecture, (x68_64-glibc)

https://matrix.org/blog/2021/09/13/vulnerability-disclosure-key-sharing

Important security fix


A patch file from https://github.com/void-linux/void-packages/pull/32951.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-update-element-32951.patch --]
[-- Type: text/x-diff, Size: 1810 bytes --]

From 989fec33056997bea7372b4a1c20d9c049fad6d1 Mon Sep 17 00:00:00 2001
From: teldra <teldra@rotce.de>
Date: Mon, 13 Sep 2021 14:28:46 +0200
Subject: [PATCH] element-desktop: update to 1.8.4.

---
 srcpkgs/element-desktop/template | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/srcpkgs/element-desktop/template b/srcpkgs/element-desktop/template
index 70841f8e2424..b3c41b6b2387 100644
--- a/srcpkgs/element-desktop/template
+++ b/srcpkgs/element-desktop/template
@@ -1,6 +1,6 @@
 # Template file for 'element-desktop'
 pkgname=element-desktop
-version=1.7.30
+version=1.8.4
 revision=1
 wrksrc="element-web-${version}"
 conf_files="/etc/${pkgname}/config.json"
@@ -18,8 +18,8 @@ _ghpage="https://github.com/vector-im"
 _archive="archive/v${version}.tar.gz"
 distfiles="${_ghpage}/element-desktop/${_archive}>element-desktop.tar.gz
  ${_ghpage}/element-web/${_archive}>element-web.tar.gz"
-checksum="dfa46e98b52c20b431dc62be3c7dc3c960b1aba6d98af7e2aa0c06ce4e076c9e
- 86b07a8510cda86ce489b376b2069415579a3576100ddddd8ddcd1f2c29ac025"
+checksum="3a972531c40da5de922824667ea048f16ee407800b26327542cac1d81357b44f
+ 2752b88227c17dfcd3b207db88aba08375f9751851f2ea549115fac7a517a18a"
 
 export USE_SYSTEM_APP_BUILDER=true
 
@@ -39,13 +39,13 @@ pre_build() {
 do_build() {
 	yarn build
 	cd ../element-desktop-${version}
-	yarn run build:native
+	yarn run build
 	# normally just "yarn run build" would be okay, but at least on ppc64
 	# we need to force x86_64 arch as electron-builder does not support
 	# ppc64 and fails on arch detection; ARM is supported so just use build
 	case "$XBPS_TARGET_MACHINE" in
-		x86_64*|ppc64*) yarn run build64 ;;
-		i686*) yarn run build32 ;;
+		x86_64*|ppc64*) yarn run build:64 ;;
+		i686*) yarn run build:32 ;;
 		*) yarn run build ;;
 	esac
 }

^ permalink raw reply	[flat|nested] 10+ messages in thread

* Re: element-desktop: update to 1.8.4.
  2021-09-13 16:25 [PR PATCH] element-desktop: update to 1.8.4 teldra
  2021-09-13 16:37 ` [PR PATCH] [Updated] " teldra
@ 2021-09-13 17:12 ` ericonr
  2021-09-13 20:52 ` [PR PATCH] [Updated] " teldra
                   ` (5 subsequent siblings)
  7 siblings, 0 replies; 10+ messages in thread
From: ericonr @ 2021-09-13 17:12 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 207 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/32951#issuecomment-918399737

Comment:
Yay it's now back to segfaulting on musl. Not sure how to proceed.

^ permalink raw reply	[flat|nested] 10+ messages in thread

* Re: [PR PATCH] [Updated] element-desktop: update to 1.8.4.
  2021-09-13 16:25 [PR PATCH] element-desktop: update to 1.8.4 teldra
  2021-09-13 16:37 ` [PR PATCH] [Updated] " teldra
  2021-09-13 17:12 ` ericonr
@ 2021-09-13 20:52 ` teldra
  2021-09-13 20:53 ` teldra
                   ` (4 subsequent siblings)
  7 siblings, 0 replies; 10+ messages in thread
From: teldra @ 2021-09-13 20:52 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 824 bytes --]

There is an updated pull request by teldra against master on the void-packages repository

https://github.com/teldra/void-packages update-element
https://github.com/void-linux/void-packages/pull/32951

element-desktop: update to 1.8.4.
#### Have the results of the proposed changes been tested?
- [x] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me

#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [x] I built this PR locally for my native architecture, (x68_64-glibc)

https://matrix.org/blog/2021/09/13/vulnerability-disclosure-key-sharing

Important security fix


A patch file from https://github.com/void-linux/void-packages/pull/32951.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-update-element-32951.patch --]
[-- Type: text/x-diff, Size: 2712 bytes --]

From fb821ee54302bdc1ab3491f0b2d1dfdc80ba6a71 Mon Sep 17 00:00:00 2001
From: teldra <teldra@rotce.de>
Date: Mon, 13 Sep 2021 14:28:46 +0200
Subject: [PATCH] element-desktop: update to 1.8.4.

---
 srcpkgs/element-desktop/files/element-desktop |  2 +-
 srcpkgs/element-desktop/template              | 17 +++++++----------
 2 files changed, 8 insertions(+), 11 deletions(-)

diff --git a/srcpkgs/element-desktop/files/element-desktop b/srcpkgs/element-desktop/files/element-desktop
index bf3f41f39d55..b264e2674981 100644
--- a/srcpkgs/element-desktop/files/element-desktop
+++ b/srcpkgs/element-desktop/files/element-desktop
@@ -1,2 +1,2 @@
 #!/bin/sh
-exec electron12 /usr/lib/element-desktop/resources/app.asar "$@"
+exec electron13 /usr/lib/element-desktop/resources/app.asar "$@"
diff --git a/srcpkgs/element-desktop/template b/srcpkgs/element-desktop/template
index 70841f8e2424..f1358275b748 100644
--- a/srcpkgs/element-desktop/template
+++ b/srcpkgs/element-desktop/template
@@ -1,6 +1,6 @@
 # Template file for 'element-desktop'
 pkgname=element-desktop
-version=1.7.30
+version=1.8.4
 revision=1
 wrksrc="element-web-${version}"
 conf_files="/etc/${pkgname}/config.json"
@@ -9,7 +9,7 @@ hostmakedepends="git yarn nodejs rust cargo python3 curl
  app-builder"
 makedepends="libsecret-devel"
 depends="c-ares ffmpeg gtk+3 http-parser libevent
- libxslt minizip nss re2 snappy sqlcipher electron12"
+ libxslt minizip nss re2 snappy sqlcipher electron13"
 short_desc="Glossy Matrix collaboration client, desktop version"
 maintainer="projectmoon <projectmoon@agnos.is>"
 license="Apache-2.0"
@@ -18,8 +18,8 @@ _ghpage="https://github.com/vector-im"
 _archive="archive/v${version}.tar.gz"
 distfiles="${_ghpage}/element-desktop/${_archive}>element-desktop.tar.gz
  ${_ghpage}/element-web/${_archive}>element-web.tar.gz"
-checksum="dfa46e98b52c20b431dc62be3c7dc3c960b1aba6d98af7e2aa0c06ce4e076c9e
- 86b07a8510cda86ce489b376b2069415579a3576100ddddd8ddcd1f2c29ac025"
+checksum="3a972531c40da5de922824667ea048f16ee407800b26327542cac1d81357b44f
+ 2752b88227c17dfcd3b207db88aba08375f9751851f2ea549115fac7a517a18a"
 
 export USE_SYSTEM_APP_BUILDER=true
 
@@ -39,13 +39,10 @@ pre_build() {
 do_build() {
 	yarn build
 	cd ../element-desktop-${version}
-	yarn run build:native
-	# normally just "yarn run build" would be okay, but at least on ppc64
-	# we need to force x86_64 arch as electron-builder does not support
-	# ppc64 and fails on arch detection; ARM is supported so just use build
+	yarn run build
 	case "$XBPS_TARGET_MACHINE" in
-		x86_64*|ppc64*) yarn run build64 ;;
-		i686*) yarn run build32 ;;
+		x86_64*|ppc64*) yarn run build:64 ;;
+		i686*) yarn run build:32 ;;
 		*) yarn run build ;;
 	esac
 }

^ permalink raw reply	[flat|nested] 10+ messages in thread

* Re: element-desktop: update to 1.8.4.
  2021-09-13 16:25 [PR PATCH] element-desktop: update to 1.8.4 teldra
                   ` (2 preceding siblings ...)
  2021-09-13 20:52 ` [PR PATCH] [Updated] " teldra
@ 2021-09-13 20:53 ` teldra
  2021-09-13 21:01 ` q66
                   ` (3 subsequent siblings)
  7 siblings, 0 replies; 10+ messages in thread
From: teldra @ 2021-09-13 20:53 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 352 bytes --]

New comment by teldra on void-packages repository

https://github.com/void-linux/void-packages/pull/32951#issuecomment-918567036

Comment:
> Yay it's now back to segfaulting on musl. Not sure how to proceed.

I made element now depended on electron13 and it runs on x68_64-glibc. Maybe this cures the segfault on musl? Can you check that, @ericonr ?

^ permalink raw reply	[flat|nested] 10+ messages in thread

* Re: element-desktop: update to 1.8.4.
  2021-09-13 16:25 [PR PATCH] element-desktop: update to 1.8.4 teldra
                   ` (3 preceding siblings ...)
  2021-09-13 20:53 ` teldra
@ 2021-09-13 21:01 ` q66
  2021-09-13 21:27 ` [PR PATCH] [Updated] " teldra
                   ` (2 subsequent siblings)
  7 siblings, 0 replies; 10+ messages in thread
From: q66 @ 2021-09-13 21:01 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 171 bytes --]

New comment by q66 on void-packages repository

https://github.com/void-linux/void-packages/pull/32951#issuecomment-918572080

Comment:
why did you change the `do_build`?

^ permalink raw reply	[flat|nested] 10+ messages in thread

* Re: [PR PATCH] [Updated] element-desktop: update to 1.8.4.
  2021-09-13 16:25 [PR PATCH] element-desktop: update to 1.8.4 teldra
                   ` (4 preceding siblings ...)
  2021-09-13 21:01 ` q66
@ 2021-09-13 21:27 ` teldra
  2021-09-13 21:40 ` teldra
  2021-09-13 21:47 ` [PR PATCH] [Closed]: " q66
  7 siblings, 0 replies; 10+ messages in thread
From: teldra @ 2021-09-13 21:27 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 824 bytes --]

There is an updated pull request by teldra against master on the void-packages repository

https://github.com/teldra/void-packages update-element
https://github.com/void-linux/void-packages/pull/32951

element-desktop: update to 1.8.4.
#### Have the results of the proposed changes been tested?
- [x] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me

#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [x] I built this PR locally for my native architecture, (x68_64-glibc)

https://matrix.org/blog/2021/09/13/vulnerability-disclosure-key-sharing

Important security fix


A patch file from https://github.com/void-linux/void-packages/pull/32951.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-update-element-32951.patch --]
[-- Type: text/x-diff, Size: 2528 bytes --]

From d4c7c8931056a7f70dd68afbafcf6edae354f427 Mon Sep 17 00:00:00 2001
From: teldra <teldra@rotce.de>
Date: Mon, 13 Sep 2021 14:28:46 +0200
Subject: [PATCH] element-desktop: update to 1.8.4.

---
 srcpkgs/element-desktop/files/element-desktop |  2 +-
 srcpkgs/element-desktop/template              | 12 ++++++------
 2 files changed, 7 insertions(+), 7 deletions(-)

diff --git a/srcpkgs/element-desktop/files/element-desktop b/srcpkgs/element-desktop/files/element-desktop
index bf3f41f39d55..b264e2674981 100644
--- a/srcpkgs/element-desktop/files/element-desktop
+++ b/srcpkgs/element-desktop/files/element-desktop
@@ -1,2 +1,2 @@
 #!/bin/sh
-exec electron12 /usr/lib/element-desktop/resources/app.asar "$@"
+exec electron13 /usr/lib/element-desktop/resources/app.asar "$@"
diff --git a/srcpkgs/element-desktop/template b/srcpkgs/element-desktop/template
index 70841f8e2424..e4be65e24f3b 100644
--- a/srcpkgs/element-desktop/template
+++ b/srcpkgs/element-desktop/template
@@ -1,6 +1,6 @@
 # Template file for 'element-desktop'
 pkgname=element-desktop
-version=1.7.30
+version=1.8.4
 revision=1
 wrksrc="element-web-${version}"
 conf_files="/etc/${pkgname}/config.json"
@@ -9,7 +9,7 @@ hostmakedepends="git yarn nodejs rust cargo python3 curl
  app-builder"
 makedepends="libsecret-devel"
 depends="c-ares ffmpeg gtk+3 http-parser libevent
- libxslt minizip nss re2 snappy sqlcipher electron12"
+ libxslt minizip nss re2 snappy sqlcipher electron13"
 short_desc="Glossy Matrix collaboration client, desktop version"
 maintainer="projectmoon <projectmoon@agnos.is>"
 license="Apache-2.0"
@@ -18,8 +18,8 @@ _ghpage="https://github.com/vector-im"
 _archive="archive/v${version}.tar.gz"
 distfiles="${_ghpage}/element-desktop/${_archive}>element-desktop.tar.gz
  ${_ghpage}/element-web/${_archive}>element-web.tar.gz"
-checksum="dfa46e98b52c20b431dc62be3c7dc3c960b1aba6d98af7e2aa0c06ce4e076c9e
- 86b07a8510cda86ce489b376b2069415579a3576100ddddd8ddcd1f2c29ac025"
+checksum="3a972531c40da5de922824667ea048f16ee407800b26327542cac1d81357b44f
+ 2752b88227c17dfcd3b207db88aba08375f9751851f2ea549115fac7a517a18a"
 
 export USE_SYSTEM_APP_BUILDER=true
 
@@ -44,8 +44,8 @@ do_build() {
 	# we need to force x86_64 arch as electron-builder does not support
 	# ppc64 and fails on arch detection; ARM is supported so just use build
 	case "$XBPS_TARGET_MACHINE" in
-		x86_64*|ppc64*) yarn run build64 ;;
-		i686*) yarn run build32 ;;
+		x86_64*|ppc64*) yarn run build:64 ;;
+		i686*) yarn run build:32 ;;
 		*) yarn run build ;;
 	esac
 }

^ permalink raw reply	[flat|nested] 10+ messages in thread

* Re: element-desktop: update to 1.8.4.
  2021-09-13 16:25 [PR PATCH] element-desktop: update to 1.8.4 teldra
                   ` (5 preceding siblings ...)
  2021-09-13 21:27 ` [PR PATCH] [Updated] " teldra
@ 2021-09-13 21:40 ` teldra
  2021-09-13 21:47 ` [PR PATCH] [Closed]: " q66
  7 siblings, 0 replies; 10+ messages in thread
From: teldra @ 2021-09-13 21:40 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 431 bytes --]

New comment by teldra on void-packages repository

https://github.com/void-linux/void-packages/pull/32951#issuecomment-918599370

Comment:
> why did you change the `do_build`?

Because of this ```ERROR: element-desktop-1.8.4_1: do_build: 'yarn run build:native' exited with 1```, I tried without ```:native``` full of hope, that it works on all arches, @q66.
The same for the ```:64``` and ```:32```
I am open to suggestions..

^ permalink raw reply	[flat|nested] 10+ messages in thread

* Re: [PR PATCH] [Closed]: element-desktop: update to 1.8.4.
  2021-09-13 16:25 [PR PATCH] element-desktop: update to 1.8.4 teldra
                   ` (6 preceding siblings ...)
  2021-09-13 21:40 ` teldra
@ 2021-09-13 21:47 ` q66
  7 siblings, 0 replies; 10+ messages in thread
From: q66 @ 2021-09-13 21:47 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 663 bytes --]

There's a closed pull request on the void-packages repository

element-desktop: update to 1.8.4.
https://github.com/void-linux/void-packages/pull/32951

Description:
#### Have the results of the proposed changes been tested?
- [x] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me

#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [x] I built this PR locally for my native architecture, (x68_64-glibc)

https://matrix.org/blog/2021/09/13/vulnerability-disclosure-key-sharing

Important security fix


^ permalink raw reply	[flat|nested] 10+ messages in thread

* [PR PATCH] element-desktop: update to 1.8.4
@ 2021-09-13 18:43 emacsomancer
  0 siblings, 0 replies; 10+ messages in thread
From: emacsomancer @ 2021-09-13 18:43 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1677 bytes --]

There is a new pull request by emacsomancer against master on the void-packages repository

https://github.com/emacsomancer/void-packages matrix
https://github.com/void-linux/void-packages/pull/32952

element-desktop: update to 1.8.4
<!-- Mark items with [x] where applicable -->

#### General
- [ ] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [X] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [ ] I generally don't use the affected packages but briefly tested this PR

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
-->
<!-- 
#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [X] I built this PR locally for my native architecture, (x86_64)
- [ ] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [ ] aarch64-musl
  - [ ] armv7l
  - [ ] armv6l-musl
-->

cf. https://matrix.org/blog/2021/09/13/vulnerability-disclosure-key-sharing

A patch file from https://github.com/void-linux/void-packages/pull/32952.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-matrix-32952.patch --]
[-- Type: text/x-diff, Size: 1640 bytes --]

From c1850b1233856f6fe1bddfdb8a967bdc21157f45 Mon Sep 17 00:00:00 2001
From: Benjamin Slade <slade@lambda-y.net>
Date: Mon, 13 Sep 2021 12:41:49 -0600
Subject: [PATCH] element-desktop: update to 1.8.4

---
 srcpkgs/element-desktop/template | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/srcpkgs/element-desktop/template b/srcpkgs/element-desktop/template
index 70841f8e2424..9c1c3b8361df 100644
--- a/srcpkgs/element-desktop/template
+++ b/srcpkgs/element-desktop/template
@@ -1,6 +1,6 @@
 # Template file for 'element-desktop'
 pkgname=element-desktop
-version=1.7.30
+version=1.8.4
 revision=1
 wrksrc="element-web-${version}"
 conf_files="/etc/${pkgname}/config.json"
@@ -18,8 +18,8 @@ _ghpage="https://github.com/vector-im"
 _archive="archive/v${version}.tar.gz"
 distfiles="${_ghpage}/element-desktop/${_archive}>element-desktop.tar.gz
  ${_ghpage}/element-web/${_archive}>element-web.tar.gz"
-checksum="dfa46e98b52c20b431dc62be3c7dc3c960b1aba6d98af7e2aa0c06ce4e076c9e
- 86b07a8510cda86ce489b376b2069415579a3576100ddddd8ddcd1f2c29ac025"
+checksum="3a972531c40da5de922824667ea048f16ee407800b26327542cac1d81357b44f
+ 2752b88227c17dfcd3b207db88aba08375f9751851f2ea549115fac7a517a18a"
 
 export USE_SYSTEM_APP_BUILDER=true
 
@@ -44,8 +44,8 @@ do_build() {
 	# we need to force x86_64 arch as electron-builder does not support
 	# ppc64 and fails on arch detection; ARM is supported so just use build
 	case "$XBPS_TARGET_MACHINE" in
-		x86_64*|ppc64*) yarn run build64 ;;
-		i686*) yarn run build32 ;;
+		x86_64*|ppc64*) yarn run build:64 ;;
+		i686*) yarn run build:32 ;;
 		*) yarn run build ;;
 	esac
 }

^ permalink raw reply	[flat|nested] 10+ messages in thread

end of thread, other threads:[~2021-09-13 21:47 UTC | newest]

Thread overview: 10+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-09-13 16:25 [PR PATCH] element-desktop: update to 1.8.4 teldra
2021-09-13 16:37 ` [PR PATCH] [Updated] " teldra
2021-09-13 17:12 ` ericonr
2021-09-13 20:52 ` [PR PATCH] [Updated] " teldra
2021-09-13 20:53 ` teldra
2021-09-13 21:01 ` q66
2021-09-13 21:27 ` [PR PATCH] [Updated] " teldra
2021-09-13 21:40 ` teldra
2021-09-13 21:47 ` [PR PATCH] [Closed]: " q66
2021-09-13 18:43 [PR PATCH] " emacsomancer

Github messages for voidlinux

This inbox may be cloned and mirrored by anyone:

	git clone --mirror https://inbox.vuxu.org/voidlinux-github

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V1 voidlinux-github voidlinux-github/ https://inbox.vuxu.org/voidlinux-github \
		voidlinux-github@inbox.vuxu.org
	public-inbox-index voidlinux-github

Example config snippet for mirrors.
Newsgroup available over NNTP:
	nntp://inbox.vuxu.org/vuxu.github.voidlinux


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git